
if exists (SELECT * 
			 FROM INFORMATION_SCHEMA.COLUMNS 
			WHERE TABLE_NAME = 'EST_PROD_FABRIC' 
			  AND COLUMN_NAME = 'PRZ_PGTO' AND DATA_TYPE = 'TINYINT' )
begin 
	ALTER TABLE EST_PROD_FABRIC DROP CONSTRAINT DF_EST_PROD_FABRIC_PRZ_PGTO;
	ALTER TABLE EST_PROD_FABRIC ALTER COLUMN PRZ_PGTO INT NOT NULL
	ALTER TABLE EST_PROD_FABRIC ADD CONSTRAINT DF_EST_PROD_FABRIC_PRZ_PGTO DEFAULT 0 FOR PRZ_PGTO 
end  